org.appng.core.controller.messaging

## Class RabbitMQBase

- java.lang.Object
- - org.appng.core.controller.messaging.RabbitMQBase

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    RabbitMQReceiver, RabbitMQSender

      public abstract class RabbitMQBase
      extends Object
      implements Closeable

  Base class to provide some base functionality for message receiver and sender for RabbitMQ
  Author:
    Claus Stümke, aiticon GmbH, 2015, Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `addresses`
    `protected com.rabbitmq.client.Channel` | `channel`
    `protected com.rabbitmq.client.Connection` | `connection`
    `protected Serializer` | `eventSerializer`
    `protected String` | `exchange`
    `protected com.rabbitmq.client.ConnectionFactory` | `factory`
    `protected String` | `password`
    `protected static String` | `RABBIT_MQ_ADRESSES`
    `protected static String` | `RABBIT_MQ_EXCHANGE`
    `protected static String` | `RABBIT_MQ_PASSWORD`
    `protected static String` | `RABBIT_MQ_USER`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `initialize(String threadNameFormat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RABBIT_MQ_EXCHANGE

          protected static final String RABBIT_MQ_EXCHANGE

      See Also:
        Constant Field Values

    - #### RABBIT_MQ_PASSWORD

          protected static final String RABBIT_MQ_PASSWORD

      See Also:
        Constant Field Values

    - #### RABBIT_MQ_USER

          protected static final String RABBIT_MQ_USER

      See Also:
        Constant Field Values

    - #### RABBIT_MQ_ADRESSES

          protected static final String RABBIT_MQ_ADRESSES

      See Also:
        Constant Field Values

    - #### eventSerializer

          protected Serializer eventSerializer

    - #### user

          protected String user

    - #### password

          protected String password

    - #### exchange

          protected String exchange

    - #### addresses

          protected String addresses

    - #### factory

          protected com.rabbitmq.client.ConnectionFactory factory

    - #### connection

          protected com.rabbitmq.client.Connection connection

    - #### channel

          protected com.rabbitmq.client.Channel channel

  - ### Constructor Detail

    - #### RabbitMQBase

          public RabbitMQBase()

  - ### Method Detail

    - #### initialize

          public void initialize(String threadNameFormat)

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.